1.2

1.2

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete a recordset

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}